# PDNS::SRVRecord Class Reference

`#include <pdns.h>`

Inheritance diagram for PDNS::SRVRecord:

List of all members.

## Public Member Functions

| SRVRecord ()
Comparison | Compare (const PObject &obj) const
| Compare the two objects and return their relative rank.
void | PrintOn (ostream &strm) const
| Output the contents of the object to the stream.

## Public Attributes

PString | hostName
PIPSocket::Address | hostAddress
PBoolean | used
WORD | port
WORD | priority
WORD | weight

## Constructor & Destructor Documentation

PDNS::SRVRecord::SRVRecord | ( |  | ) | `[inline]`

## Member Function Documentation

Comparison PDNS::SRVRecord::Compare | ( | const PObject & | obj | ) | const`[virtual]`

Compare the two objects and return their relative rank.

This function is usually overridden by descendent classes to yield the ranking according to the semantics of the object.

The default function is to use the `CompareObjectMemoryDirect()` function to do a byte wise memory comparison of the two objects.

Returns:
  `LessThan`, `EqualTo` or `GreaterThan` according to the relative rank of the objects.

Reimplemented from PObject.

void PDNS::SRVRecord::PrintOn | ( | ostream & | strm | ) | const`[virtual]`

Output the contents of the object to the stream.

The exact output is dependent on the exact semantics of the descendent class. This is primarily used by the standard `operator<<` function.

The default behaviour is to print the class name.

Reimplemented from PObject.

## Member Data Documentation

PIPSocket::Address PDNS::SRVRecord::hostAddress

PString PDNS::SRVRecord::hostName

WORD PDNS::SRVRecord::port

WORD PDNS::SRVRecord::priority

PBoolean PDNS::SRVRecord::used

WORD PDNS::SRVRecord::weight

The documentation for this class was generated from the following file:

- pdns.h